Upgrade the .NET agent

Requires Administrator rights in your Windows admin group. For more information, see User rights.

To ensure that you have the latest version of New Relic for .NET, refer to the Release Notes. Then, follow the instructions in this document to upgrade your agent. In addition, if your app uses a particularly old agent version, see Upgrading legacy .NET agents.

Verify your agent version

To verify which version of the .NET agent your app currently has installed, check under your Windows Programs and Features.

Update the .NET agent

To update to the latest version of New Relic's .NET agent:

  1. Ensure you have .NET 3.5 installed on the target system.
  2. Stop IIS before beginning the process.
  3. Download and run the appropriate install package for your architecture:

  4. After the installer package finishes, start IIS.

Update older .NET agents

If you are upgrading from an older .NET agent version, see Upgrading legacy .NET agents for major changes that may affect your app installation.

For more help

Additional documentation resources include:

Join the discussion about .NET monitoring in the New Relic Online Technical Community! The Technical Community is a public platform to discuss and troubleshoot your New Relic toolset.

If you need additional help, get support at support.newrelic.com.